#ifndef LIGHTNODE_H
#define LIGHTNODE_H

#include "graphicalnode.h"
#include "glm/mat4x4.hpp"
#include "SparrowRenderer/scene.h"

class LightNode : public GraphicalNode
{
    Light *m_light;
public:
    LightNode(Light* light) : m_light(light) {}

    virtual void setSceneTree(SceneTree* tree);

    virtual void update();

    virtual Light* getLight() { return m_light; }
};

#endif // LIGHTNODE_H
